<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.88
Name: [4] Dane nieaktywnego składnika leku recepturowego na recepcie
Description: Szablon CDA dla danych nieaktywnego składnika leku recepturowego na recepcie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000">
   <title>[4] Dane nieaktywnego składnika leku recepturowego na recepcie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.88
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.88']
Item: (plExtMagistralFormulaInactiveIngredient)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.88']"
         id="tmp-r-4e09fdf4-0ce0-494c-9350-decf4c5e7d34">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.88'])&gt;=1 and not(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.88']/@nullFlavor)">(plExtMagistralFormulaInactiveIngredient): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.88'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.88'])&lt;=1">(plExtMagistralFormulaInactiveIngredient): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.88'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="count(extPL:quantity)&lt;=1">(plExtMagistralFormulaInactiveIngredient): element extPL:quantity występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="count(extPL:ingredient)&gt;=1 ">(plExtMagistralFormulaInactiveIngredient): element extPL:ingredient jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="count(extPL:ingredient)&lt;=1">(plExtMagistralFormulaInactiveIngredient): element extPL:ingredient występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.88
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.88']/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.88']
Item: (plExtMagistralFormulaInactiveIngredient)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.88']/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.88']"
         id="tmp-r-3adba114-88ba-4f03-b34d-67d4f764109c">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMagistralFormulaInactiveIngredient): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.88'">(plExtMagistralFormulaInactiveIngredient): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.88'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plExtMagistralFormulaInactiveIngredient): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.88
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.88']/extPL:quantity
Item: (plExtMagistralFormulaInactiveIngredient)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.88']/extPL:quantity"
         id="tmp-r-2a122d12-a14b-41bd-8997-64e8b59ecb5e">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='RTO_PQ_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMagistralFormulaInactiveIngredient): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:RTO_PQ_PQ", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="RTO_PQ_PQ"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.88
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.88']/extPL:ingredient
Item: (plExtMagistralFormulaInactiveIngredient)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.88']/extPL:ingredient"
         id="tmp-r-242fce29-e3a7-4cad-81c6-561d83e647b0">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="string(@determinerCode)='KIND'">(plExtMagistralFormulaInactiveIngredient): Wartość dla @determinerCode MUSI wynosić 'KIND'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(plExtMagistralFormulaInactiveIngredient): Atrybut @determinerCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="string(@classCode)='MMAT'">(plExtMagistralFormulaInactiveIngredient): Wartość dla @classCode MUSI wynosić 'MMAT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plExtMagistralFormulaInactiveIngredient): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="not(./*[not(self::extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3'][@codeSystem='2.16.840.1.113883.3.4424.6.3'] | self::extPL:code[@codeSystem='1.3.160'][@codeSystem='1.3.160'] | self::extPL:code[@codeSystem='2.16.840.1.113883.6.73.5'][@codeSystem='2.16.840.1.113883.6.73.5' and @codeSystemName='whoATCLevel5'] | self::extPL:code[@nullFlavor='NA'][@nullFlavor='NA'] | self::extPL:name | self::extPL:desc)])">(plExtMagistralFormulaInactiveIngredient): We fragmencie dokumentu zgodnym z szablonem "[4] Dane nieaktywnego składnika leku recepturowego na recepcie" występują niedozwolone elementy.</assert>
      <let name="elmcount"
           value="count(extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3']|extPL:code[@codeSystem='1.3.160']|extPL:code[@codeSystem='2.16.840.1.113883.6.73.5']|extPL:code[@nullFlavor='NA'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="$elmcount&gt;=1">(plExtMagistralFormulaInactiveIngredient): wybór (extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3'] lub extPL:code[@codeSystem='1.3.160'] lub extPL:code[@codeSystem='2.16.840.1.113883.6.73.5'] lub extPL:code[@nullFlavor='NA']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="$elmcount&lt;=1">(plExtMagistralFormulaInactiveIngredient): wybór (extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3'] lub extPL:code[@codeSystem='1.3.160'] lub extPL:code[@codeSystem='2.16.840.1.113883.6.73.5'] lub extPL:code[@nullFlavor='NA']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="count(extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3'])&lt;=1">(plExtMagistralFormulaInactiveIngredient): element extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="count(extPL:code[@codeSystem='1.3.160'])&lt;=1">(plExtMagistralFormulaInactiveIngredient): element extPL:code[@codeSystem='1.3.160'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="count(extPL:code[@codeSystem='2.16.840.1.113883.6.73.5'])&lt;=1">(plExtMagistralFormulaInactiveIngredient): element extPL:code[@codeSystem='2.16.840.1.113883.6.73.5'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="count(extPL:code[@nullFlavor='NA'])&lt;=1">(plExtMagistralFormulaInactiveIngredient): element extPL:code[@nullFlavor='NA'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="count(extPL:name)&gt;=1 ">(plExtMagistralFormulaInactiveIngredient): element extPL:name jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="count(extPL:name)&lt;=1">(plExtMagistralFormulaInactiveIngredient): element extPL:name występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="count(extPL:desc)&lt;=1">(plExtMagistralFormulaInactiveIngredient): element extPL:desc występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.88
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.88']/extPL:ingredient/extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3']
Item: (plExtMagistralFormulaInactiveIngredient)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.88']/extPL:ingredient/extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3']"
         id="tmp-r-13e3e209-19af-46e1-a9bb-20e6fe994573">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMagistralFormulaInactiveIngredient): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.6.3')">(plExtMagistralFormulaInactiveIngredient): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.6.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.88
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.88']/extPL:ingredient/extPL:code[@codeSystem='1.3.160']
Item: (plExtMagistralFormulaInactiveIngredient)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.88']/extPL:ingredient/extPL:code[@codeSystem='1.3.160']"
         id="tmp-r-3d893e43-b7ec-4458-9f39-25c12b1c0013">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMagistralFormulaInactiveIngredient): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="@nullFlavor or (@codeSystem='1.3.160')">(plExtMagistralFormulaInactiveIngredient): Wartość elementu MUSI wynosić codeSystem '1.3.160'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.88
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.88']/extPL:ingredient/extPL:code[@codeSystem='2.16.840.1.113883.6.73.5']
Item: (plExtMagistralFormulaInactiveIngredient)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.88']/extPL:ingredient/extPL:code[@codeSystem='2.16.840.1.113883.6.73.5']"
         id="tmp-r-9a914609-f06b-4129-b2e0-9785e7eb7441">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMagistralFormulaInactiveIngredient): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.73.5' and @codeSystemName='whoATCLevel5')">(plExtMagistralFormulaInactiveIngredient): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.6.73.5' codeSystemName='whoATCLevel5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.88
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.88']/extPL:ingredient/extPL:code[@nullFlavor='NA']
Item: (plExtMagistralFormulaInactiveIngredient)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.88']/extPL:ingredient/extPL:code[@nullFlavor='NA']"
         id="tmp-r-9e6419a2-ef1b-484b-a17b-ac419af6d379">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMagistralFormulaInactiveIngredient): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="string(@nullFlavor)='NA'">(plExtMagistralFormulaInactiveIngredient): Wartość dla @nullFlavor MUSI wynosić 'NA'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.88
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.88']/extPL:ingredient/extPL:name
Item: (plExtMagistralFormulaInactiveIngredient)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.88']/extPL:ingredient/extPL:name"
         id="tmp-r-5c0b6dd8-ed63-46dc-87aa-9e23721f03fe">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMagistralFormulaInactiveIngredient): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TN", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.88
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.88']/extPL:ingredient/extPL:desc
Item: (plExtMagistralFormulaInactiveIngredient)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.88']/extPL:ingredient/extPL:desc"
         id="tmp-r-44594491-9956-487e-9550-991940ec0f69">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.88-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMagistralFormulaInactiveIngredient): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:EN", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
