<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.87
Name: [4] Przekroczenie dobowej dawki leku
Description: Szablon CDA dla przekroczenia dobowej dawki leku
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000">
   <title>[4] Przekroczenie dobowej dawki leku</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.87
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]
Item: (plCdaDrugDailyDoseExceedEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]"
         id="tmp-r-6be87559-9e85-44c8-b288-7f62428cc46d">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87'])&gt;=1 and not(hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/@nullFlavor)">(plCdaDrugDailyDoseExceedEntry): element hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87'])&lt;=1">(plCdaDrugDailyDoseExceedEntry): element hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.87
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']
Item: (plCdaDrugDailyDoseExceedEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']"
         id="tmp-r-52f6eae2-ce6d-434f-b36b-3ce8b4be4a23">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="@classCode">(plCdaDrugDailyDoseExceedEntry): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugDailyDoseExceedEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('ACT')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugDailyDoseExceedEntry): Wartość dla classCode MUSI wynosić 'kod ACT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="@moodCode">(plCdaDrugDailyDoseExceedEntry): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugDailyDoseExceedEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('EVN')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugDailyDoseExceedEntry): Wartość dla moodCode MUSI wynosić 'kod EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.87'] | self::hl7:code[@code='DOSEH' and @codeSystem='2.16.840.1.113883.5.4' and @displayName='High Dose Alert'] | self::hl7:statusCode[@code='completed'] | self::hl7:entryRelationship[@typeCode='REFR'])])">(plCdaDrugDailyDoseExceedEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przekroczenie dobowej dawki leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.87'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.87']/@nullFlavor)">(plCdaDrugDailyDoseExceedEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.87'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.87'])&lt;=1">(plCdaDrugDailyDoseExceedEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.87'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:code[(@code='DOSEH' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(hl7:code[(@code='DOSEH' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(plCdaDrugDailyDoseExceedEntry): element hl7:code[(@code='DOSEH' and @codeSystem='2.16.840.1.113883.5.4')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:code[(@code='DOSEH' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(plCdaDrugDailyDoseExceedEntry): element hl7:code[(@code='DOSEH' and @codeSystem='2.16.840.1.113883.5.4')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaDrugDailyDoseExceedEntry): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaDrugDailyDoseExceedEntry): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:entryRelationship)&gt;=1 and not(hl7:entryRelationship/@nullFlavor)">(plCdaDrugDailyDoseExceedEntry): element hl7:entryRelationship jest mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.87
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.87']
Item: (plCdaDrugDailyDoseExceedEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.87']"
         id="tmp-r-0d90f827-a3ea-49c5-a24d-b371c52c0532">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.87'">(plCdaDrugDailyDoseExceedEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.87'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDrugDailyDoseExceedEntry): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.87
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:code[(@code='DOSEH' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (plCdaDrugDailyDoseExceedEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:code[(@code='DOSEH' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-r-1a896a56-06fa-4c20-9e1d-081c0b113458">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugDailyDoseExceedEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="@nullFlavor or (@code='DOSEH' and @codeSystem='2.16.840.1.113883.5.4' and @displayName='High Dose Alert')">(plCdaDrugDailyDoseExceedEntry): Wartość elementu MUSI wynosić code 'DOSEH' codeSystem '2.16.840.1.113883.5.4' displayName='High Dose Alert'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.87
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:statusCode[@code='completed']
Item: (plCdaDrugDailyDoseExceedEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:statusCode[@code='completed']"
         id="tmp-r-260b1c08-cd77-4fc3-aa8a-71897079d051">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugDailyDoseExceedEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaDrugDailyDoseExceedEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.87
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship
Item: (plCdaDrugDailyDoseExceedEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship"
         id="tmp-r-65a12869-0035-493b-8062-1e740997a1c2">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="string(@typeCode)='REFR'">(plCdaDrugDailyDoseExceedEntry): Wartość dla @typeCode MUSI wynosić 'REFR'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(./*[not(self::hl7:substanceAdministration[@classCode and @moodCode])])">(plCdaDrugDailyDoseExceedEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przekroczenie dobowej dawki leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:substanceAdministration)&gt;=1 and not(hl7:substanceAdministration/@nullFlavor)">(plCdaDrugDailyDoseExceedEntry): element hl7:substanceAdministration jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:substanceAdministration)&lt;=1">(plCdaDrugDailyDoseExceedEntry): element hl7:substanceAdministration występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.87
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship/hl7:substanceAdministration
Item: (plCdaDrugDailyDoseExceedEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship/hl7:substanceAdministration"
         id="tmp-r-57be09e9-653b-4af7-af96-82f67071aceb">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="@classCode">(plCdaDrugDailyDoseExceedEntry): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugDailyDoseExceedEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('SBADM')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugDailyDoseExceedEntry): Wartość dla classCode MUSI wynosić 'kod SBADM'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="@moodCode">(plCdaDrugDailyDoseExceedEntry): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugDailyDoseExceedEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('EVN')) then ($code) else ())"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaDrugDailyDoseExceedEntry): Wartość dla moodCode MUSI wynosić 'kod EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(./*[not(self::hl7:consumable)])">(plCdaDrugDailyDoseExceedEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przekroczenie dobowej dawki leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(plCdaDrugDailyDoseExceedEntry): element hl7:consumable jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:consumable)&lt;=1">(plCdaDrugDailyDoseExceedEntry): element hl7:consumable występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.87
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable
Item: (plCdaDrugDailyDoseExceedEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable"
         id="tmp-r-1e868084-85ca-434c-a08f-a70c1d6fe518">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(./*[not(self::hl7:manufacturedProduct)])">(plCdaDrugDailyDoseExceedEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przekroczenie dobowej dawki leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(plCdaDrugDailyDoseExceedEntry): element hl7:manufacturedProduct jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(plCdaDrugDailyDoseExceedEntry): element hl7:manufacturedProduct występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.87
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct
Item: (plCdaDrugDailyDoseExceedEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct"
         id="tmp-r-73706e73-384c-4ccf-b3b3-7b2c7c98d78b">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(./*[not(self::hl7:manufacturedMaterial)])">(plCdaDrugDailyDoseExceedEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przekroczenie dobowej dawki leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:manufacturedMaterial)&gt;=1 and not(hl7:manufacturedMaterial/@nullFlavor)">(plCdaDrugDailyDoseExceedEntry): element hl7:manufacturedMaterial jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(plCdaDrugDailyDoseExceedEntry): element hl7:manufacturedMaterial występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.87
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (plCdaDrugDailyDoseExceedEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-r-5169eb70-d233-4289-a885-a6cc70c5db93">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="not(./*[not(self::hl7:code)])">(plCdaDrugDailyDoseExceedEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przekroczenie dobowej dawki leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(plCdaDrugDailyDoseExceedEntry): element hl7:code jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaDrugDailyDoseExceedEntry): element hl7:code występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.87
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code
Item: (plCdaDrugDailyDoseExceedEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.87']/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code"
         id="tmp-r-06737f8d-9aa4-49c3-aa3b-1ed478216933">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.87-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugDailyDoseExceedEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
