<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.89
Name: [4] Dane opakowania leku recepturowego na recepcie
Description: Szablon CDA dla danych opakowania leku recepturowego na recepcie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000">
   <title>[4] Dane opakowania leku recepturowego na recepcie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.89
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']
Item: (plExtMagistralFormulaContainer)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']"
         id="tmp-r-50741cd1-334e-42ce-b149-96569eaca5fc">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.89'])&gt;=1 and not(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.89']/@nullFlavor)">(plExtMagistralFormulaContainer): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.89'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.89'])&lt;=1">(plExtMagistralFormulaContainer): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.89'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="count(extPL:quantity)&lt;=1">(plExtMagistralFormulaContainer): element extPL:quantity występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="count(extPL:ingredient)&gt;=1 ">(plExtMagistralFormulaContainer): element extPL:ingredient jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="count(extPL:ingredient)&lt;=1">(plExtMagistralFormulaContainer): element extPL:ingredient występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.89
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.89']
Item: (plExtMagistralFormulaContainer)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.89']"
         id="tmp-r-5503d712-1bec-4e17-a6c1-697c7cfa02e0">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMagistralFormulaContainer): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.89'">(plExtMagistralFormulaContainer): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.89'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plExtMagistralFormulaContainer): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.89
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:quantity
Item: (plExtMagistralFormulaContainer)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:quantity"
         id="tmp-r-e4ea116d-7ce5-42e1-b384-657f52cf6a5b">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='RTO_PQ_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMagistralFormulaContainer): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:RTO_PQ_PQ", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="RTO_PQ_PQ"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.89
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient
Item: (plExtMagistralFormulaContainer)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient"
         id="tmp-r-098c12b2-a0b1-491d-96e6-69bf6dae72d3">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="string(@determinerCode)='KIND'">(plExtMagistralFormulaContainer): Wartość dla @determinerCode MUSI wynosić 'KIND'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(plExtMagistralFormulaContainer): Atrybut @determinerCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="string(@classCode)='CONT'">(plExtMagistralFormulaContainer): Wartość dla @classCode MUSI wynosić 'CONT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plExtMagistralFormulaContainer): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="not(./*[not(self::extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3'][@codeSystem='2.16.840.1.113883.3.4424.6.3'] | self::extPL:code[@codeSystem='1.3.160'][@codeSystem='1.3.160'] | self::extPL:code[@nullFlavor='NA'][@nullFlavor='NA'] | self::extPL:name | self::extPL:desc)])">(plExtMagistralFormulaContainer): We fragmencie dokumentu zgodnym z szablonem "[4] Dane opakowania leku recepturowego na recepcie" występują niedozwolone elementy.</assert>
      <let name="elmcount"
           value="count(extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3']|extPL:code[@codeSystem='1.3.160']|extPL:code[@nullFlavor='NA'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="$elmcount&gt;=1">(plExtMagistralFormulaContainer): wybór (extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3'] lub extPL:code[@codeSystem='1.3.160'] lub extPL:code[@nullFlavor='NA']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="$elmcount&lt;=1">(plExtMagistralFormulaContainer): wybór (extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3'] lub extPL:code[@codeSystem='1.3.160'] lub extPL:code[@nullFlavor='NA']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="count(extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3'])&lt;=1">(plExtMagistralFormulaContainer): element extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="count(extPL:code[@codeSystem='1.3.160'])&lt;=1">(plExtMagistralFormulaContainer): element extPL:code[@codeSystem='1.3.160'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="count(extPL:code[@nullFlavor='NA'])&lt;=1">(plExtMagistralFormulaContainer): element extPL:code[@nullFlavor='NA'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="count(extPL:name)&gt;=1 ">(plExtMagistralFormulaContainer): element extPL:name jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="count(extPL:name)&lt;=1">(plExtMagistralFormulaContainer): element extPL:name występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="count(extPL:desc)&lt;=1">(plExtMagistralFormulaContainer): element extPL:desc występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.89
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient/extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3']
Item: (plExtMagistralFormulaContainer)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient/extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3']"
         id="tmp-r-f9f4888c-8d37-4a90-af12-875773c6d476">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMagistralFormulaContainer): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.6.3')">(plExtMagistralFormulaContainer): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.6.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.89
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient/extPL:code[@codeSystem='1.3.160']
Item: (plExtMagistralFormulaContainer)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient/extPL:code[@codeSystem='1.3.160']"
         id="tmp-r-8a99d20a-330d-4988-9da1-45e6a03861d4">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMagistralFormulaContainer): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="@nullFlavor or (@codeSystem='1.3.160')">(plExtMagistralFormulaContainer): Wartość elementu MUSI wynosić codeSystem '1.3.160'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.89
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient/extPL:code[@nullFlavor='NA']
Item: (plExtMagistralFormulaContainer)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient/extPL:code[@nullFlavor='NA']"
         id="tmp-r-0c1eaa51-59d1-4090-9323-23b482b6a3d4">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMagistralFormulaContainer): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="string(@nullFlavor)='NA'">(plExtMagistralFormulaContainer): Wartość dla @nullFlavor MUSI wynosić 'NA'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.89
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient/extPL:name
Item: (plExtMagistralFormulaContainer)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient/extPL:name"
         id="tmp-r-89755e76-16cd-4be0-9388-d55c44a3f0e5">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMagistralFormulaContainer): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TN", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.89
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient/extPL:desc
Item: (plExtMagistralFormulaContainer)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient/extPL:desc"
         id="tmp-r-a7096404-82c2-4367-b1a2-3c2886eaa51a">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMagistralFormulaContainer): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:EN", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
